import { r as registerInstance, h } from './index-dd1fc9a4.js';
import './common-ecdc423b.js';
import { C as Card } from './Card-db113549.js';
import { g as getProps } from './tools-9397f0ed.js';

const UICard = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h(Card, Object.assign({}, getProps(['embelish'], this)), h("slot", null)));
    }
};

export { UICard as ui_card };
